ecw support broken in Qgis 1.9.0-Alpha from OSGeo4W, gdal1.9.2, win7, 64bit

2012-12-07 01:36 PM - Gerhard Spieles

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: win Easy fix?: No

Pull Request or Patch supplied:No Resolution: upstream

Crashes QGIS or corrupts data:No Copied to github as #: 15975

Description

In QGIS 1.9.0 Alpha, ECW is not shown as supported Raster Format.

Gdalinfo  reports, that NCSEcw4_RO.dll and other dlls are missing.

I installed sdk4.2 from ERDAS.

After restart, gdalinfo reports:

Can not load requested DLL: C:\\OSGeo4W\\\\bin\\gdalplugins\\1.9\\gdal_ECW_JP2ECW.dll

193: %1 ist keine zulässige Win32-Anwendung

jpg is attached.

History

#1 - 2012-12-07 01:52 PM - Jürgen Fischer

- Resolution set to upstream

- Status changed from Open to Closed

The ECW plugin in OSGeo4W is marked as obsolete.  For now ECW is unsupported in OSGeo4W - the licensing is unclear.

See also http://lists.osgeo.org/pipermail/qgis-developer/2012-November/023228.html

#2 - 2012-12-08 02:52 AM - Gerhard Spieles

- Status changed from Closed to Reopened

- File 2012.12.08_ecw_support_ok_gdal192_win7_x64.jpg added

Hello Juergen,

first i copied the sdk vc 10 win32 dll in the gdalplugin, 1,9 directory and the system32 folder in windows. This was the solution in the gdal 1.9.0 version.

Now i copied the dlls directly in the bin path: "C:\\OSGeo4W\\bin" and ecw is supported now in gdal 1.9.2 (see attached jpg)

It is good to have ecw support, because the format is often used.

Thanks

Gerhard

#3 - 2012-12-08 02:56 AM - Jürgen Fischer
http://lists.osgeo.org/pipermail/qgis-developer/2012-November/023228.html


- Status changed from Reopened to Closed

This is not an QGIS issue - if GDAL has ECW support, QGIS will use it.  But GDAL in OSGeo4W currently doesn't have ECW support (the old plugin might

even break the newer GDAL - so it was marked obsolete there).

See OSGeo4W !#337

#4 - 2012-12-20 07:56 AM - stefano campus

please, gespiel, can you explain more deeply how you have made that?
http://trac.osgeo.org/osgeo4w/ticket/337

